Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129902 - I18N - EntApp wizard doesn't resize dynamically
I18N - EntApp wizard doesn't resize dynamically
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: EAR
6.x
All All
: P2 (vote)
: 6.x
Assigned To: David Konecny
issues@javaee
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 13:58 UTC by kaa
Modified: 2008-04-04 13:11 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
image (60.77 KB, image/jpeg)
2008-03-12 14:00 UTC, kaa
Details
build 0323 (78.92 KB, image/jpeg)
2008-03-26 23:08 UTC, kaa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description kaa 2008-03-12 13:58:35 UTC
Product Version: NetBeans IDE 6.1 Beta (Build 200803041230)
Java: 1.6.0_03; Java HotSpot(TM) Client VM 1.6.0_03-b05
System: Windows XP version 5.1 running on x86; MS932; ja_JP

1. Open New Project wizard
2. Select Enterprise category
3. Choose project type: Enterprise Application
4. Press Next button
5. Change j2ee version to 1.4

Two checkboxes appear at the bottom of the wizard. They are invisible.

Assumption is that user does not need to manually resize most windows or dialogs to see all of the UI objects and
information in them. I'm running in pseudo localized locale in which each message/label is sometimes longer than in
English. To account for that in some locales, translations from English (and some other euro languages) could be shown
with longer strings.

Also I'm running at font size 16, which is viewed as a valid font size that might be used. Resizing issues are not just
related to i18n; they might show to user in English locale if they run at larger font size.

Often, these issues happen because the length of some label or message or size of entire window is hardcoded vs using
layout managers or other techniques or api to have the windows or the objects in them, dynamically resize. Sometimes,
embedding components in a scroll pane will solve the problem.
Comment 1 kaa 2008-03-12 14:00:20 UTC
Created attachment 58232 [details]
image
Comment 2 David Konecny 2008-03-18 05:23:06 UTC
First panel was split into two.
Comment 3 kaa 2008-03-26 23:05:36 UTC
The fix produced another resize problem.
After the split there are labels and j2ee ver. dropdown with not properly visible text.
Comment 4 kaa 2008-03-26 23:08:54 UTC
Created attachment 59181 [details]
build 0323
Comment 5 kaa 2008-03-26 23:41:37 UTC
I'm using font size 16.
Comment 6 David Konecny 2008-03-27 23:58:36 UTC
Fixed in 28c12afcc58d.
Comment 7 kaa 2008-04-04 13:11:57 UTC
build 0330


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo